MBOXGREP(1)

NAME
mboxgrep - displays email messages matching a pattern

SYNOPSIS
mboxgrep [OPTIONS] PATTERN [MAILBOX]

DESCRIPTION
This manual page refers to mboxgrep version 0.7.13.

mboxgrep scans a MAILBOX and displays messages matching PATTERN.

If a mailbox name is omitted, or a single dash (-) is given instead, it reads from standard input. It can read mbox folders or output from another mboxgrep process from standard input.

mboxgrep understands POSIX regular expressions, as well as Perl compatible regular expressions (if enabled at compile time). MAILBOX can be either a:

•   mbox folder (either plain or compressed)

•   MH folder

•   Gnus nnmh or nnml folder

•   qmail-style maildir folder

OPTIONS

-h, --help
    Display a help screen and exit.

-V, --version
    Display version and copyright information and exit.

-r, --recursive
    Descend into directories recursively.

-E, --extended-regexp
    PATTERN is an extended regular expression. This is default.

-G, --basic-regexp
    PATTERN is a basic regular expression.

-P, --perl-regexp
    PATTERN is a Perl regular expression. Works only if enabled at compile time.

-e, --regexp=PATTERN
    Use PATTERN as a regular expression.

-i, --ignore-case
    Ignore case distinctions.

-v, --invert-match
    Select messages which don't match PATTERN.

-H, --headers
    Match PATTERN against message headers.

-B, --body
    Match PATTERN against message body.

-l, --file-lock=METHOD
    Select file locking METHOD. METHOD is `fcntl', `flock', or `none'.

-nl, --no-file-lock
    Do not lock files. This option is meaningful only if a mbox folder (see below) is scanned.

-c, --count
    Suppress normal output and print a count of matching messages.

-o, --output=MAILBOX
    Suppress normal output and write messages to destination MAILBOX instead.

-p, --pipe=COMMAND
    Pipe each found message to COMMAND

-d, --delete
    Suppress normal output and delete selected messages instead. Use with caution.

-nd, --no-duplicates
    Ignore duplicate messages.

-m, --mailbox-format=TYPE
    Select input and output mailbox TYPE. TYPE can be either `mbox' (default), `zmbox' (gzip compressed mbox), `bz2mbox' (bzip2 compressed mbox), `mh', `nnml', `nnmh' or `maildir'.

-s, --no-messages
    Suppress most error messages.

--debug
    Print messages useful for debugging.

EXAMPLES

•   Search $MAIL for messages from Dirty Harry:

mboxgrep '^From:.*callahan@sanfranciscopolice\.org' $MAIL

•   Re-mail to George messages that mention his name:

mboxgrep --pipe="/usr/lib/sendmail george" --ignore-case george ~/Mail/*

•   Display all messages contained in folder ~/Mail/incoming, except those that appear to originate from AOL:

mboxgrep -v 'Received:.*aol\.com' ~/Mail/incoming

•   Do a case-insensitive scan of ~/Mail/incoming for messages with subject ``Weekly News'' and write them to folder ~/Mail/archive:

mboxgrep -o ~/Mail/archive -H -i '^Subject: Weekly News' ~/Mail/incoming

•   Count all messages stored in folder spam, ignoring duplicates:

mboxgrep -nd -c . spam

BUGS
Report them to address below.

SEE ALSO
grep(1), regex(7), perlre(1), mbox(5), RFC 2822, RFC 4155

DEDICATION
Mboxgrep is dedicated in loving memory of Vicky, my cat who died of tumor on Sep 12, 2002.

You haven't been long with us, but you gave us a lot of joy and all your big heart that stopped ticking too early. I will never forget you. Sleep well, little friend.

HOMEPAGE
https://www.mboxgrep.org/

GIT
https://git.datatipp.se/dspiljar/mboxgrep

https://github.com/dspiljar/mboxgrep

AUTHOR
Daniel Spiljar <dspiljar@datatipp.se>